Package org.jboss.resteasy.reactor

## Class MonoProvider

- java.lang.Object
- - org.jboss.resteasy.reactor.MonoProvider

- All Implemented Interfaces:
    `AsyncClientResponseProvider<reactor.core.publisher.Mono<?>>`, `AsyncResponseProvider<reactor.core.publisher.Mono<?>>`

      @Provider
      public class MonoProvider
      extends Object
      implements AsyncResponseProvider<reactor.core.publisher.Mono<?>>, AsyncClientResponseProvider<reactor.core.publisher.Mono<?>>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MonoProvider()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `reactor.core.publisher.Mono<?>` | `fromCompletionStage​(CompletionStage<?> completionStage)` | Turns `CompletionStage` to a reactive type.
    `reactor.core.publisher.Mono<?>` | `fromCompletionStage​(Supplier<CompletionStage<?>> completionStageSupplier)` | Turns `CompletionStage` to a reactive type in a deferred fashion.
    `CompletionStage<?>` | `toCompletionStage​(reactor.core.publisher.Mono<?> asyncResponse)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MonoProvider

          public MonoProvider()

  - ### Method Detail

    - #### toCompletionStage

          public CompletionStage<?> toCompletionStage​(reactor.core.publisher.Mono<?> asyncResponse)

      Specified by:
        `toCompletionStage` in interface `AsyncResponseProvider<reactor.core.publisher.Mono<?>>`

    - #### fromCompletionStage

          public reactor.core.publisher.Mono<?> fromCompletionStage​(CompletionStage<?> completionStage)

      Description copied from interface: `AsyncClientResponseProvider`
      Turns `CompletionStage` to a reactive type.
      Specified by:
        `fromCompletionStage` in interface `AsyncClientResponseProvider<reactor.core.publisher.Mono<?>>`
      Parameters:
        `completionStage` - The `CompletionStage` that will produce a value.
      Returns:
        T reactive type

    - #### fromCompletionStage

          public reactor.core.publisher.Mono<?> fromCompletionStage​(Supplier<CompletionStage<?>> completionStageSupplier)

      Description copied from interface: `AsyncClientResponseProvider`
      Turns `CompletionStage` to a reactive type in a deferred fashion. For instance, in the case of Rx or Reactor, the `Supplier.get()` will only be called when subscription happens.
      Specified by:
        `fromCompletionStage` in interface `AsyncClientResponseProvider<reactor.core.publisher.Mono<?>>`
      Parameters:
        `completionStageSupplier` - The `Supplier` of a `CompletionStage` that will produce a value. This allows lazy triggering of future-based APIs.
      Returns:
        T reactive type